PostShowhideBuilder Class

class NXOpen.CAE.PostShowhideBuilder

Bases: NXOpen.TransientObject

Represents NXOpen.CAE.PostShowhideBuilder. It applies show or hide on all the selected objects.

To obtain an instance of this class use CAE::Post

New in version NX11.0.2.

Methods

Method Description
CommitShowhide Commits the showhide to show or hide the selected entities
Delete Deletes the showhide builder.
Dispose Frees the object from memory.
GetPvid Gets postview id
GetSelectedEntities Vector to store selected entities objects
GetVisibility Enum whther the entities to be shown or hidden
SetMeshes Sets the mesh objects to be shown or hidden .
SetPvid Sets Postview id
SetSelectedEntities Vector to store selected entities objects
SetVisibility Enum whther the entities to be shown or hidden

Enumerations

PostShowhideBuilderVis Enumeration option to show/hide the selected entities

Method Detail

CommitShowhide

PostShowhideBuilder.CommitShowhide

Commits the showhide to show or hide the selected entities

Signature CommitShowhide()

New in version NX11.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Delete

PostShowhideBuilder.Delete

Deletes the showhide builder.

Signature Delete()

New in version NX11.0.2.

License requirements: None.

Dispose

PostShowhideBuilder.Dispose

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Signature Dispose()

New in version NX11.0.2.

License requirements: None.

GetPvid

PostShowhideBuilder.GetPvid

Gets postview id

Signature GetPvid()

Returns:
Return type:int

New in version NX11.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetSelectedEntities

PostShowhideBuilder.GetSelectedEntities

Vector to store selected entities objects

Signature GetSelectedEntities()

Returns:
Return type:list of NXOpen.CAE.PostSelectionEntity

New in version NX11.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetVisibility

PostShowhideBuilder.GetVisibility

Enum whther the entities to be shown or hidden

Signature GetVisibility()

Returns:
Return type:NXOpen.CAE.PostShowhideBuilderVis

New in version NX11.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetMeshes

PostShowhideBuilder.SetMeshes

Sets the mesh objects to be shown or hidden .

Visibility to be set SetVisibility

Signature SetMeshes(meshes)

Parameters:meshes (list of NXOpen.CAE.PostMesh) –

New in version NX11.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetPvid

PostShowhideBuilder.SetPvid

Sets Postview id

Signature SetPvid(pvid)

Parameters:pvid (int) –

New in version NX11.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetSelectedEntities

PostShowhideBuilder.SetSelectedEntities

Vector to store selected entities objects

Signature SetSelectedEntities(selent)

Parameters:selent (list of NXOpen.CAE.PostSelectionEntity) –

New in version NX11.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetVisibility

PostShowhideBuilder.SetVisibility

Enum whther the entities to be shown or hidden

Signature SetVisibility(doshow)

Parameters:doshow (NXOpen.CAE.PostShowhideBuilderVis) –

New in version NX11.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)